"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.rmdir = exports.unionEntries = exports.normalizePath = void 0;
const path_1 = require("path");
const rimraf_1 = __importDefault(require("rimraf"));
function normalizePath(path) {
    if (!path) {
        return path;
    }
    if (!path.match(/^[a-zA-Z]+:/) &&
        !path.startsWith("/") &&
        !path.startsWith("\\")) {
        // append cwd
        path = path_1.join(process.cwd(), path);
    }
    return path_1.normalize(path);
}
exports.normalizePath = normalizePath;
function unionEntries(a, b) {
    a = Object.assign({}, (a || {}));
    b = b || {};
    const anyA = a;
    Object.entries(b).forEach(([key, bEntries]) => {
        if (!anyA[key]) {
            anyA[key] = {};
        }
        const aEntries = anyA[key];
        anyA[key] = Object.assign(Object.assign({}, aEntries), bEntries);
    });
    return anyA;
}
exports.unionEntries = unionEntries;
function rmdir(path) {
    return new Promise(function (resolve, reject) {
        rimraf_1.default(path, function (err) {
            if (err) {
                reject(err);
            }
            else {
                resolve();
            }
        });
    });
}
exports.rmdir = rmdir;
//# sourceMappingURL=util.js.map